%global pypi_name oslo.serialization
%global srcname oslo-serialization
%bcond_with doc
%bcond_with test

Summary:        OpenStack oslo.serialization library
Name:           python-%{srcname}
Version:        5.0.0
Release:        8%{?dist}
License:        ASL 2.0
URL:            https://launchpad.net/oslo
Source0:        https://tarballs.openstack.org/%{pypi_name}/%{pypi_name}-%{version}.tar.gz

BuildArch:      noarch

%description
An OpenStack library for representing objects in transmittable and \
storable formats.

%package -n python3-%{srcname}
Summary:        OpenStack oslo.serialization library
BuildRequires:  git-core python3-devel python3-pbr
BuildRequires:  python3-oslo-i18n python3-oslo-utils python3-msgpack >= 0.5.2
BuildRequires:  python3-netaddr python3-simplejson
%if %{with test}
BuildRequires:  python3-mock python3-oslotest python3-stestr
%endif
Requires:       python3-oslo-utils >= 3.33.0
Requires:       python3-msgpack >= 0.5.2
Requires:       python3-pytz
Requires:       python3-pbr >= 2.0.0

%description -n python3-%{srcname}
Python bindings for %{name}

%if %{with test}
%package -n python3-%{srcname}-tests
Summary:   Tests for OpenStack Oslo serialization library
Requires:  python3-%{srcname} = %{version}-%{release}
Requires:  python3-mock
Requires:  python3-oslotest
Requires:  python3-oslo-i18n
Requires:  python3-stestr
Requires:  python3-netaddr
Requires:  python3-simplejson

%description -n python3-%{srcname}-tests
Tests for OpenStack Oslo serialization library
%endif

%if %{with doc}
%package -n python-%{srcname}-doc
Summary:    Documentation for the Oslo serialization library
BuildRequires:  python3-sphinx
BuildRequires:  python3-openstackdocstheme
Requires:  python3-%{srcname} = %{version}-%{release}

%description -n python-%{srcname}-doc
Documentation for the Oslo serialization library.
%endif

%prep
%autosetup -n %{pypi_name}-%{version} -S git
rm -f requirements.txt

%build
%{py3_build}

%if %{with doc}
sphinx-build-3 -W -b html doc/source doc/build/html
rm -fr doc/build/html/.{doctrees,buildinfo}
%endif

%install
%{py3_install}

%if %{without test}
rm -rf %{buildroot}%{python3_sitelib}/oslo_serialization/tests
%endif

%check
%if %{with test}
export OS_TEST_PATH="./oslo_serialization/tests"
PYTHON=python3 stestr-3 --test-path $OS_TEST_PATH run
%endif

%files -n python3-%{srcname}
%license LICENSE
%doc README.rst
%{python3_sitelib}/oslo_serialization
%{python3_sitelib}/*.egg-info
%exclude %{python3_sitelib}/oslo_serialization/tests

%if %{with doc}
%files -n python-%{srcname}-doc
%license LICENSE
%doc doc/build/html
%endif

%if %{with test}
%files -n python3-%{srcname}-tests
%{python3_sitelib}/oslo_serialization/tests
%endif

%changelog
* Thu Sep 26 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 5.0.0-8
- Rebuilt for clarifying the packages requirement in BaseOS and AppStream

* Mon Sep 02 2024 cunshunxia <cunshunxia@tencent.com> - 5.0.0-7
- drop test build requirements which is in EPOL.

* Fri Aug 16 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 5.0.0-6
- Rebuilt for loongarch release

* Tue Sep 19 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 5.0.0-5
- Rebuilt for python 3.11

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 5.0.0-4
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 5.0.0-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 5.0.0-2
- Rebuilt for OpenCloudOS Stream 23

* Wed Mar 29 2023 cunshunxia <cunshunxia@tencent.com> - 5.0.0-1
- initial build
